Bug 192838 - Remove custom constructors of ReadableStreamDefaultReader and ReadableStreamBYOBReader
Summary: Remove custom constructors of ReadableStreamDefaultReader and ReadableStreamB...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-12-18 16:24 PST by youenn fablet
Modified: 2018-12-20 16:04 PST (History)
11 users (show)

See Also:


Attachments
Patch (47.59 KB, patch)
2018-12-19 09:36 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (38.58 KB, patch)
2018-12-19 10:10 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2018-12-18 16:24:32 PST
Remove custom constructors of ReadableStreamDefaultReader and ReadableStreamBYOBReader
Comment 1 youenn fablet 2018-12-19 09:36:47 PST
Created attachment 357686 [details]
Patch
Comment 2 youenn fablet 2018-12-19 10:10:27 PST
Created attachment 357689 [details]
Patch
Comment 3 Fujii Hironori 2018-12-19 23:23:29 PST
Thank you for letting me know the WinCairo EWS failure.
It is the incremental build issue (Bug 190183). Sorry for the inconvenience.
No problem to land the patch.
Comment 4 WebKit Commit Bot 2018-12-20 16:03:38 PST
Comment on attachment 357689 [details]
Patch

Clearing flags on attachment: 357689

Committed r239472: <https://trac.webkit.org/changeset/239472>
Comment 5 WebKit Commit Bot 2018-12-20 16:03:40 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2018-12-20 16:04:31 PST
<rdar://problem/46886676>